Plot HomeDocumentation
Documents

List Documents

Retrieves a paginated list of documents for an area

GET
/v1/documents/list

Retrieves a paginated list of documents for an area

Query Parameters

name?string

Search by document name

description?string

Search by document description

areaName?string

Search by area name

matchMode?string

Match mode: "all" (AND) or "any" (OR)

areaId?string

Filter by area ID or handle

includeDeleted?string

Include soft-deleted documents

includeTotal?string

Include total count in response. Consider omitting for subsequent page loads to improve performance.

includeMarkdown?string

Include description.markdown field. Omit for better performance when markdown is not needed.

expand?|||array<>

Expansion fields: "all" (full enrichment, default), "none" (IDs only), or comma-separated/repeated fields (area)

cursor?string

Cursor for pagination

offset?|

Offset for pagination

limit?integer

Number of results to return (max 100)

Response Body

application/json

curl -X GET "https://example.com/v1/documents/list"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "publicId": "string",      "name": "string",      "slug": "string",      "visibility": "string",      "createdById": "string",      "lastEditedById": "string",      "lastEditedAt": "2019-08-24T14:15:22Z",      "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c",      "areaId": "ebbb2a49-d827-4796-8d8a-108c229835e9",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "deletedById": "string",      "description": {        "html": "string",        "markdown": "string"      },      "area": {        "id": "string",        "name": "string",        "publicId": "str"      }    }  ],  "nextCursor": "string",  "hasMore": true,  "total": 0}